Name:           tilda
Version:        1.3.3
Release:        2%{?dist}
Summary:        A Gtk based drop down terminal for Linux and Unix

Group:          Applications/System
License:        GPLv2+
URL:            http://github.com/lanoxx/tilda 
Source0:        https://github.com/lanoxx/%{name}/archive/%{name}-%{version}.tar.gz

BuildRequires:	desktop-file-utils
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gettext-devel
BuildRequires:	glib2-devel
BuildRequires:	libconfuse-devel
BuildRequires:	libX11-devel
BuildRequires:	libXrandr-devel
BuildRequires:	libXt-devel
BuildRequires:	vte291-devel


%description
Tilda is a Linux terminal taking after the likeness of many classic terminals
from first person shooter games, Quake, Doom and Half-Life (to name a few),
where the terminal has no border and is hidden from the desktop until a key is
pressed.

%prep
%setup -q -n %{name}-%{name}-%{version}

%build
autoreconf -fi
%configure
make %{?_smp_mflags}

%install
mkdir -p %{buildroot}%{_datadir}/%{name}

make install DESTDIR=%{buildroot}
desktop-file-install --vendor=""                               \
        --dir=%{buildroot}%{_datadir}/applications             \
        --mode 0644                                            \
        --remove-category="Application"                        \
        %{buildroot}%{_datadir}/applications/%{name}.desktop

install -D -p -m 644 %{name}.png \
        %{buildroot}%{_datadir}/icons/hicolor/48x48/apps/%{name}.png

%find_lang %{name}



%post
/bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    /bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    /usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
/usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :


%files -f %{name}.lang
%doc AUTHORS COPYING README.md ChangeLog TODO.md
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/icons/hicolor/48x48/apps/%{name}.png
%{_datadir}/applications/%{name}.desktop
%{_datadir}/appdata/tilda.appdata.xml

%changelog
* Wed Jun 15 2016 Jon Ciesla <limburgher@gmail.com> - 1.3.3-2
- libconfuse rebuild.

* Sat Apr 30 2016 Johannes Lips <hannes@fedoraproject.org> - 1.3.3-1
- update to upstream version 1.3.3

* Mon Mar 14 2016 Johannes Lips <hannes@fedoraproject.org> - 1.3.2-1
- update to upstream version 1.3.2

* Fri Feb 05 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Sat Aug 22 2015 Johannes Lips <hannes@fedoraproject.org> - 1.2.4-1
- update to upstream version 1.2.4

* Fri Jun 19 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Mon Nov 17 2014 Johannes Lips <hannes@fedoraproject.org> - 1.2.2-1
- update to upstream version 1.2.2
- fixed bug #1164476

* Thu Oct 16 2014 Johannes Lips <hannes@fedoraproject.org> - 1.2.1-1
- update to upstream version 1.2.1

* Thu Oct 16 2014 Johannes Lips <hannes@fedoraproject.org> - 1.2-1
- update to upstream version 1.2

* Sun Sep 14 2014 Johannes Lips <hannes@fedoraproject.org> - 1.1.13-1
- Initial Release
